// avr-stuff.h : 
// interaction with simulated hardware
// functions should be same as real hardware, so avr-stuff.c is cross-compile
#pragma once

#include "avr-compat.h"

// access to simulated hardware from avr-stuff.c
// v is the brightness code, use only 0, 1, and 2, while 2 be the brightest
void avrSetPixel(byte x, byte y, byte v);
byte avrGetPixel(byte x, byte y);

// the AVR main thread
void RunAVR();

// real AVR paints in interrupt, but we are need a trigger
void avrTriggerRepaint();

// should we end the RunAVR loop (app exit on windose)
byte avrEndRun();

// get the simulated ADC values 0..1023
uint avrGetLeftADC();
uint avrGetRightADC();

// some WinAVR lib functions often needed
void _delay_us(double __us);
void _delay_ms(double __ms);

// a beloved windows func
uint ticks(void);
